#ifndef XCPLANE_H
#define XCPLANE_H

#include "xasset.h"

#include <QVector>
#include <QVector3D>

class XCPlane : public XAsset
{
public:
    XCPlane();
    ~XCPlane();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector3D mNormal;
    float mDist;
    quint8 mType;
    quint8 mSignbits;
    QVector<quint8> mPad;
};

#endif // XCPLANE_H
